.btn {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.col-4 {
    -ms-flex: 0 0 33.333333%;
    flex: 0 0 33.333333%;
    max-width: 33.333333%;
}
.d-flex {
    display: -ms-flexbox!important;
    display: flex!important;
}
.p-0 {
    padding: 0!important;
}
.border {
    border: 1px solid #777!important;
}
.product-img-radius {
    border-radius: 5%;
}
.product-block {
    margin-right: 1%!important;
    margin-bottom: 2%!important;
    color: black;
    padding: 1%;
    border: 1px solid rgba(158, 158, 147, 0.2);
    border-radius: 5%;
}
.product-container {
    padding-left: 1%;
    padding-right: 1%;
}

.menu .search {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-self: center;
    width: 60%;
}

.search input {
    margin: 1%;
    padding: 5px;
    color: #707070;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

.small-search {
    display: inline-block;
    width: 10px;
    height: 10px;
    border: 1px solid #9E9E93;
    position: relative;
    border-radius: 8.75px;
    margin-right: 4.3px;
    top: -0.7px;
}

.w-100 {
    width: 100% !important;
}

.footer-custom {
    background: #ffffff;
    height: 7%;
    position: fixed;
    width: 100%;
    bottom: 0;
    left: 0;
    display: flex;
    flex-direction: row;
    border: 1px solid rgba(158, 158, 147, 0.2);
}

.footer-items-container {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.modal-container {
    display: flex;
    position: fixed;
    top: 10%;
    left:25%;
    width:50%;
    border-radius: 15px;
    border: 1px solid rgba(158, 158, 147, 1);
    z-index: 30;
    bottom: 10%;
}

.modal-container-content {
    flex-direction: column;
    background-color: #ffffff;
    border-radius: 15px;
    padding: 1%;
    overflow: auto;
}

.modal-container-prod-img {
    max-width: 100px;
    height: auto;
    border-radius: 5%;
    padding: 1%;
}

.modal-container-prod-content {
    display: flex;
    flex-direction: column;
    padding: 1%;
}


.modal-container-prod-name-container {
    line-height: 50px !important;
}

.member-sub-tab-container {
    flex-direction: row !important;
    display: flex !important;
    box-shadow: none !important;
}

.member-sub-tab-un-active {
    border-radius: 50px;
    background: rgba(158, 158, 147, 0.2);
    margin: 1%;
}

.member-sub-tab-active {
    border-radius: 50px;
    color: white!important;
    background-color: #28A7E9;
    margin: 1%;
}

@media screen and (max-width: 768px) {
    .mobile-visible {
        display: none;
    }

    .modal-container-prod {
        margin-bottom: -5%;
    }

    .modal-container-prod-name-container {
        line-height: 32px !important;
    }

    .modal-container-prod-content {
        display: flex;
        flex-direction: column;
        padding: 1%;
        line-height: 20px;
    }

    .member-sub-tab-container {
        width: 100% !important;
        box-shadow: none !important;
    }

    .member-sub-tab-un-active {
        border-radius: 50px;
        background: rgba(158, 158, 147, 0.2);
        margin: 1%;
    }

    .member-sub-tab-active {
        border-radius: 50px;
        color: white!important;
        background-color: #28A7E9;
        margin: 1%;
    }

    .modal-container {
        display: flex;
        position: fixed;
        top: 20%;
        left:5%;
        width:90%;
        border-radius: 15px;
        border: 1px solid rgba(158, 158, 147, 1);
    }
}

.modal-container-prod-name-title {
    font-size: 20px;
}

.modal-container-prod-price {
    display: flex;
    padding: 1%;
}

.modal-container-prod-spec-container {
    align-items: center;
    text-align: center;
    flex-flow: row wrap;
}

.modal-container-prod-spec {
    margin:1%;
    width:20%;
    max-width: 20%;
    padding: 1%;
    font-size: 0.9rem;
    border-radius: 5px;
    border: 1px solid rgba(158, 158, 147, 1);
    color: black;
}

.modal-container-prod-count-container {
    display: flex;
    flex-direction: row;
    flex: 1;
    align-items: center;
    justify-content: center;
}

.modal-container-prod-count-minus {
    color: black;
    margin-right: 10px;
}

.modal-container-prod-count-plus {
    color: black;
    margin-left: 10px;
}

.modal-container-prod-count-input {
    display: block;
    width: 40px;
    font-size: 0.8rem;
    text-align: center;
    border: 0.5px solid #ccc;
    margin: 0 !important;
}

.border-radius-5px {
    border-radius: 5px;
}

.flex1 {
    flex: 1
}

.text-center {
    text-align: center !important;
}

.text-right {
    text-align: right;
}

.justify-content-center {
    justify-content: flex-end !important;
}

.cart-buyer-container {
    margin-top: 35px;
    flex-direction: column;
    font-size: 14px;
}

.p-2 {
    padding: 2%;
}

.cart-buyer-label {
    margin-right: 10px;
}

.cart-buyer-input {
    flex: 4;
    border: 1px solid rgba(158, 158, 147, 0.2);
    border-radius: 5px;
}

.margin-left-8px {
    margin-left: 3px !important;
}

.w-80 {
    width: 80%;
}

.content-none {
    display: none;
}

.modal-post-container {
    display: flex;
    position: absolute;
    top: 5%;
    left: 36%;
    bottom: -10%;
    /*width: 40%;*/
    border-radius: 15px;
    border: 1px solid rgba(158, 158, 147, 1);
    z-index: 30;
}

.modal-post-image {
    height: 90%;
    padding: 3%
}

@media screen and (max-width: 1750px) {
    .modal-post-close {
        position: absolute;
        background: white;
        border-radius: 50px;
        border: 0.5px solid rgba(158, 158, 147, 1);
        width: 30px;
        top: -2%;
        left: 96%;
        align-items: center;
        display: flex;
        justify-content: center;
    }

    .modal-cart-close {
        position: fixed;
        background: white;
        border-radius: 50px;
        border: 0.5px solid rgba(158, 158, 147, 1);
        width: 30px;
        top: 8%;
        left: 73%;
        align-items: center;
        display: flex;
        justify-content: center;
    }
}

@media screen and (max-width: 768px) {
    .modal-post-image {
        max-height: 100%;
        width: 100%;
        padding: 3%
    }

    .modal-post-container {
        display: flex;
        position: absolute;
        top: 5%;
        left:10%;
        width:75%;
        border-radius: 15px;
        border: 1px solid rgba(158, 158, 147, 1);
    }

    .modal-cart-close {
        position: fixed;
        background: white;
        border-radius: 50px;
        border: 0.5px solid rgba(158, 158, 147, 1);
        width: 30px;
        top: 18%;
        left: 90%;
        align-items: center;
        display: flex;
        justify-content: center;
    }

    .modal-post-close {
        position: absolute;
        background: white;
        border-radius: 50px;
        border: 0.5px solid rgba(158, 158, 147, 1);
        width: 30px;
        height: 30px;
        top: -2%;
        left: 95%;
        align-items: center;
        display: flex;
        justify-content: center;
    }
}

.modal-spec-active {
    background-color: #28A7E9;
    color: #FFFFFF;
}

.link-disabled {
    pointer-events: none !important;
    background: rgba(158, 158, 147, 0.5);
}

.mask {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.4);
    z-index: 29;
}

.post-mask {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.4);
    z-index: 29;
}

.page_navi
{
    margin:30px 0
}

.page_navi .page_navi_block
{
    display:flex;
    flex-flow:row nowrap;
    align-items:center;
    justify-content:center;
    color:#28a7e9
}

.page_navi .page_navi_num
{
    display:flex;
    flex-flow:row nowrap;
    align-items:center
}

.page_navi a
{
    display:block;
    padding:0 10px;
    color:#BCE0FD;
    font-size:.8rem;
    font-family:"Helvetica Neue"
}

.page_navi a.active
{
    padding:1px 6px;
    background-color:#28a7e9;
    border-radius:50%;
    color:#fff
}

.page_navi svg
{
    margin:0 20px;
    color:#BCE0FD
}

.page_navi svg.active
{
    color:#28a7e9
}

.footer-active
{
    color: rgba(132, 3, 22, 0.5) !important
}
